%global debug_package %{nil}

Name:       nushell
Version:    0.41.0
Release:    1%{?dist}
Summary:    New type of shell

License:    MIT
URL:        https://github.com/nushell/nushell
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires: cargo >= 1.39
BuildRequires: rust >= 1.39
%endif
BuildRequires: gcc
BuildRequires: python3-devel

BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(zlib)

%description
A modern, GitHub-era shell written in Rust.


%prep
%autosetup -p1
%if 0%{?el8}
  curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%if 0%{?el8}
  $HOME/.cargo/bin/cargo install --features=stable --root=%{buildroot}%{_prefix} --path=.
%else
  cargo install --features=stable --root=%{buildroot}%{_prefix} --path=.
%endif

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/nu
%{_bindir}/nu_plugin*


%changelog
* Fri Dec 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.41.0-1
- chore(update): 0.41.0

* Fri Nov 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.40.0-1
- chore(update): 0.40.0

* Wed Oct 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.39.0-1
- chore(update): 0.39.0

* Wed Sep 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.37.0-1
- build(update): 0.37.0

* Wed Jul 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.34.0-1
- build(update): 0.34.0

* Tue Jun 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.33.0-1
- build(update): 0.33.0

* Wed Jun 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.32.0-1
- build(update): 0.32.0

* Tue May 11 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.31.0-1
- build(update): 0.31.0

* Wed Apr 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.30.0-1
- build(update): 0.30.0

* Tue Mar 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.29.0-1
- build(update): 0.29.0

* Tue Mar 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.28.0-1
- build(update): 0.28.0

* Fri Feb 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.27.1-1
- build(update): 0.27.1

* Tue Feb 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.27.0-1
- build(update): 0.27.0

* Wed Jan 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.0-1
- build(update): 0.26.0

* Wed Jan  6 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.1-1
- build(update): 0.25.1

* Tue Jan  5 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.0-1
- build(update): 0.25.0

* Wed Dec 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.24.1-1
- build(update): 0.24.1

* Wed Nov 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.0-1
- build(update): 0.23.0

* Tue Nov  3 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.0-1
- Update to 0.22.0

* Wed Oct 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- build(update): 0.21.0

* Tue Sep 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-1
- Update to 0.20.0

* Wed Sep  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- Update to 0.19.0

* Wed Aug 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.1-1
- Update to 0.18.1

* Wed Jul 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.0-1
- Update to 0.17.0

* Wed Jul 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0-1
- Update to 0.16.0

* Tue Jun 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0-1
- Update to 0.15.0

* Sat May 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-2
- Built with codegen-units = 1

* Tue May 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-1
- Update to 0.14.0

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Update to 0.13.0

* Tue Mar 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Wed Mar 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Wed Feb 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Wed Jan 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Update to 0.9.0

* Tue Jan 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Thu Dec 19 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-2
- Build with only Stable features

* Wed Dec 18 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Wed Dec 18 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-2
- Build with all features. Thanks to Dennis Schridde.

* Sun Dec 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Wed Nov 27 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Fri Nov 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2.20191106git01d6287
- Switch to system Rust 1.39

* Wed Nov 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1.20191106git01d6287
- Update to 0.5.0

* Thu Aug 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1.20190727git65ed458
- Initial package
